<?php

namespace App\ReportsData\EntityList;

class Cities extends GeneralAbstract
{

	/**
	 * {@inheritDoc}
	 * @see \App\EntityList\GeneralAbstract::loadDbTablesCfgs()
	 */
	protected function loadDbTablesCfgs(): void
	{
		// store the table name
		global $DBTRd_cities, $DBTRd_countries;
		$this->setMainTable($DBTRd_cities, 'city');
        $this->addAllowedTable($DBTRd_countries, 'country', 'city.countryCode=country.code', 'INNER');
	}

	public function setDefaultFilters(): void
	{
	}

}

